8

I am getting error compiling using lualatex under TL 2016 installed today when I use package datetime. This MWE works ok under TL 2015. How to resolve this error? It looks like the API to the datetime package has changed.

\documentclass[11pt]{scrbook}%ext
\usepackage{luatex85} %needed else gets an error with lualatex in 2016
\usepackage[us,12hr]{datetime}
\begin{document}
\currenttime
\end{document}

error is

lualatex foo.tex
This is LuaTeX, Version 0.95.0 (TeX Live 2016) 
 restricted system commands enabled.
(./foo.tex
LaTeX2e <2016/03/31>
Babel <3.9r> and hyphenation patterns for 1 language(s) loaded.
(/usr/local/texlive/2016/texmf-dist/tex/latex/koma-script/scrbook.cls
Document Class: scrbook 2016/05/10 v3.20 KOMA-Script document class (book)
(/usr/local/texlive/2016/texmf-dist/tex/latex/koma-script/scrkbase.sty
(/usr/local/texlive/2016/texmf-dist/tex/latex/koma-script/scrbase.sty
(/usr/local/texlive/2016/texmf-dist/tex/latex/graphics/keyval.sty)
(/usr/local/texlive/2016/texmf-dist/tex/latex/koma-script/scrlfile.sty
Package scrlfile, 2016/05/10 v3.20 KOMA-Script package (loading files)
                  Copyright (C) Markus Kohm

))) (/usr/local/texlive/2016/texmf-dist/tex/latex/koma-script/tocbasic.sty)
(/usr/local/texlive/2016/texmf-dist/tex/latex/koma-script/scrsize11pt.clo)
(/usr/local/texlive/2016/texmf-dist/tex/latex/koma-script/typearea.sty
Package typearea, 2016/05/10 v3.20 KOMA-Script package (type area)
                  Copyright (C) Frank Neukam, 1992-1994
                  Copyright (C) Markus Kohm, 1994-

)) (/usr/local/texlive/2016/texmf-dist/tex/generic/luatex85/luatex85.sty)
(/usr/local/texlive/2016/texmf-dist/tex/latex/datetime/datetime.sty
(/usr/local/texlive/2016/texmf-dist/tex/latex/etoolbox/etoolbox.sty)
(/usr/local/texlive/2016/texmf-dist/tex/latex/fmtcount/fmtcount.sty
(/usr/local/texlive/2016/texmf-dist/tex/latex/base/ifthen.sty)
(/usr/local/texlive/2016/texmf-dist/tex/latex/xkeyval/xkeyval.sty
(/usr/local/texlive/2016/texmf-dist/tex/generic/xkeyval/xkeyval.tex
(/usr/local/texlive/2016/texmf-dist/tex/generic/xkeyval/xkvutils.tex)))
(/usr/local/texlive/2016/texmf-dist/tex/latex/fmtcount/fcprefix.sty
(/usr/local/texlive/2016/texmf-dist/tex/latex/fmtcount/fcnumparser.sty))
(/usr/local/texlive/2016/texmf-dist/tex/generic/ifxetex/ifxetex.sty)
(/usr/local/texlive/2016/texmf-dist/tex/latex/amsmath/amsgen.sty)
(/usr/local/texlive/2016/texmf-dist/tex/latex/fmtcount/fc-english.def))
(/usr/local/texlive/2016/texmf-dist/tex/latex/datetime/datetime-defaults.sty)
! Use of \@dt@getdate doesn't match its definition.
\pdfcreationdate ->\pdffeedback 
                                creationdate
l.233 }

? 

Compiles ok with pdflatex in TL 2016 and compiles OK with lualatex in 2015:

\documentclass[11pt]{scrbook}%ext
\usepackage[us,12hr]{datetime}
\begin{document}
\currenttime
\end{document}

No error:

lualatex foo.tex
This is LuaTeX, Version beta-0.80.0.1 (TeX Live 2015) (rev 5863) 
 restricted \write18 enabled.
(./foo.tex
LaTeX2e <2015/10/01> patch level 2
Babel <3.9m> and hyphenation patterns for 79 languages loaded.
(/usr/local/texlive/2015/texmf-dist/tex/latex/koma-script/scrbook.cls
Document Class: scrbook 2015/10/03 v3.19a KOMA-Script document class (book)
(/usr/local/texlive/2015/texmf-dist/tex/latex/koma-script/scrkbase.sty
(/usr/local/texlive/2015/texmf-dist/tex/latex/koma-script/scrbase.sty
(/usr/local/texlive/2015/texmf-dist/tex/latex/graphics/keyval.sty)
(/usr/local/texlive/2015/texmf-dist/tex/latex/koma-script/scrlfile.sty
Package scrlfile, 2015/10/03 v3.19a KOMA-Script package (loading files)
                  Copyright (C) Markus Kohm

))) (/usr/local/texlive/2015/texmf-dist/tex/latex/koma-script/tocbasic.sty)
(/usr/local/texlive/2015/texmf-dist/tex/latex/koma-script/scrsize11pt.clo)
(/usr/local/texlive/2015/texmf-dist/tex/latex/koma-script/typearea.sty
Package typearea, 2015/10/03 v3.19a KOMA-Script package (type area)
                  Copyright (C) Frank Neukam, 1992-1994
                  Copyright (C) Markus Kohm, 1994-

)) (/usr/local/texlive/2015/texmf-dist/tex/latex/datetime/datetime.sty
(/usr/local/texlive/2015/texmf-dist/tex/latex/etoolbox/etoolbox.sty)
(/usr/local/texlive/2015/texmf-dist/tex/latex/fmtcount/fmtcount.sty
(/usr/local/texlive/2015/texmf-dist/tex/latex/base/ifthen.sty)
(/usr/local/texlive/2015/texmf-dist/tex/latex/xkeyval/xkeyval.sty
(/usr/local/texlive/2015/texmf-dist/tex/generic/xkeyval/xkeyval.tex
(/usr/local/texlive/2015/texmf-dist/tex/generic/xkeyval/xkvutils.tex)))
(/usr/local/texlive/2015/texmf-dist/tex/latex/fmtcount/fcprefix.sty
(/usr/local/texlive/2015/texmf-dist/tex/latex/fmtcount/fcnumparser.sty))
(/usr/local/texlive/2015/texmf-dist/tex/generic/ifxetex/ifxetex.sty)
(/usr/local/texlive/2015/texmf-dist/tex/latex/amsmath/amsgen.sty)
(/usr/local/texlive/2015/texmf-dist/tex/latex/fmtcount/fc-english.def))
(/usr/local/texlive/2015/texmf-dist/tex/latex/datetime/datetime-defaults.sty))
No file foo.aux.
[1{/usr/local/texlive/2015/texmf-var/fonts/map/pdftex/updmap/pdftex.map}]
(./foo.aux))
 275 words of node memory still in use:
   2 hlist, 1 vlist, 1 rule, 2 glue, 43 glue_spec, 1 write nodes
   avail lists: 1:3,2:26,3:2,4:25,5:3,6:32,7:2,9:12,10:3
<</usr/local/texlive/2015/texmf-dist/fonts/type1/public/amsfonts/cm/cmr10.pfb>
Output written on foo.pdf (1 page, 11303 bytes).
Transcript written on foo.log.

update:

After latest tlmgr update, luatex85.sty 2016/06/15 v1.4 pdftex aliases for luatex now works without having to use the \edef\pdfcreationdate {\pdffeedback creationdate} to fix things. So the final code now compile as below and the error went away:

\documentclass[11pt]{scrbook}%ext
\usepackage{luatex85} %needed else gets an error with lualatex in 2016
\usepackage[us,12hr]{datetime}
\listfiles
\begin{document}
\currenttime
\end{document}

But one needs to run sudo /usr/local/texlive/2016/bin/x86_64-linux/tlmgr update --all first to pick the updated luatex85 just updated now from CTAN.

Reference https://www.ctan.org/pkg/datetime?lang=en

3
  • is it not possible to replace datetime here with datetime2? the ctan reference you cite shows it as obsolete. Commented Jun 17, 2016 at 14:04
  • @barbarabeeton I tried datetime2 before, but it does not like the us option, and I did not want to spend time to change the code and see what I needed to change. May be later will do that., Here is screen shot of the error I get !Mathematica graphics ! Package datetime2 Error: `us' is not a recognised dialect. TL 2016
    – Nasser
    Commented Jun 17, 2016 at 17:31
  • The datetime2 US style is en-US. \usepackage[en-US]{datetime2} (requires both datetime2 and datetime2-english). The time is produced with \DTMcurrenttime. Commented Jun 17, 2016 at 18:29

1 Answer 1

8
% !TeX program = lualatex
\documentclass[11pt]{scrbook}%ext
\usepackage{luatex85} %needed else gets an error with lualatex in 2016
\edef\pdfcreationdate {\pdffeedback creationdate}
\usepackage[us,12hr]{datetime}
\begin{document}
\currenttime
\end{document}

http://github.com/josephwright/luatex85/issues/2

0

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .